<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>math</title>
  </head>
  <body>
    <script>
      let circle = +prompt("Введіть довжину кола,число не повинно бути меншим та дорівнювати нулю", );

      let reg1 = /[\d]{1,6}/;
      let rez1 = reg1.test(circle);

      let square = +prompt(
        "Введіть периметр квадрата, число не повинно бути меншим та дорівнювати нулю"
      );

      let reg2 = /[\d]{1,6}/;
      let rez2 = reg2.test(square);
      let radius = circle / (2 * Math.PI);

      let side = square / 4;

      alert("Умова для кола вписаного в квадрат R=a/2");
      console.log(radius);
      console.log(side);

      if (radius <= side / 2) {
        console.log(true);
      } else {
        console.log(false);
      }

      if (radius <= side / 2) {
        alert("Вписується");
      } else {
        alert("Не вписується");
      }
    </script>
  </body>
</html>
